Get all properties
https://api.propexo.com/v1/properties/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external property id
Deprecated: Use x_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the property.
Active status of the property in the PMS. Please note this is a separate value to the property's status in Propexo which can be fetched using the 'Get all my property configurations' endpoint.
Response
Successful response
- Array [
- ]
- Array [
- string
SINGLE_FAMILYMULTI_FAMILYSTUDENT_HOUSINGVACATIONCOMMERCIALOTHER - string
- Array [
- ]
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the property
The Propexo unique identifier for the property
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The date the record first entered the integration vendor
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the building (not necessarily the property) from the integration vendor
The building number associated with the property
The city associated with the property
The code associated with the property
The country associated with the property
The county associated with the property
custom_data object | nullrequired
Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint.
The email address of the property manager
The name of the property manager
The first phone number of the property manager
The type of the first phone number of the property manager
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe second phone number of the property manager
The type of the second phone number of the property manager
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe name of the property
Notes associated with the property
The number of units in the property
Possible values: >= 0
Deprecated: Use square_feet
The square footage of the property
The state associated with the property
Deprecated: Use address_1
Deprecated: Use address_2
The first address line associated with the property
The second address line associated with the property
Deprecated: Use type_raw.
The raw PMS type of the property
The Propexo normalized property type
Show 2 variants
The website URL associated with the property
The year the property was built
Possible values: >= 0
The zip code associated with the property
A long description of the property
A short description of the property
office_hours object[]required
The day of the week associated with the office hours
Show 7 enum values
SUNDAYMONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYThe opening time for the office
The closing time for the office
pet_types object[]required
The name associated with the pet type
Whether the pet type is allowed or not
Description of the pet type
Notes associated with the pet type
The deposit amount associated with the pet type
The deposit amount in cents associated with the pet type
100000The raw fee amount for the pet type
The fee amount in cents for the pet type
100000The minimum raw fee amount for the pet type
The minimum fee amount in cents for the pet type
100000The maxmimum raw fee amount for the pet type
The maxmimum raw fee amount in cents for the pet type
100000The raw rent amount for the pet type
The rent amount in cents for the pet type
100000The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/properties/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"property_id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_created_at": "string",
"x_id": "string",
"x_property_id": "string",
"x_building_id": "string",
"building_number": "string",
"city": "string",
"code": "string",
"country": "string",
"county": "string",
"custom_data": "Unknown Type: object,null",
"is_active": true,
"manager_email": "string",
"manager_name": "string",
"manager_phone_1": "string",
"manager_phone_1_type": "FAX",
"manager_phone_2": "string",
"manager_phone_2_type": "FAX",
"name": "string",
"notes": "string",
"number_of_units": 0,
"square_feet": 0,
"state": "string",
"address_1": "string",
"address_2": "string",
"type_raw": "string",
"type_normalized": "SINGLE_FAMILY",
"website": "string",
"year_built": 0,
"zip": "string",
"long_description": "string",
"short_description": "string",
"office_hours": [
{
"day_of_week": "SUNDAY",
"open_time": "string",
"close_time": "string"
}
],
"pet_types": [
{
"name": "string",
"is_allowed": true,
"description": "string",
"notes": "string",
"deposit_raw": "string",
"deposit_in_cents": 100000,
"fee_raw": "string",
"fee_in_cents": 100000,
"fee_min_raw": "string",
"fee_min_in_cents": 100000,
"fee_max_raw": "string",
"fee_max_in_cents": 100000,
"rent_amount_raw": "string",
"rent_amount_in_cents": 100000
}
],
"associated_owner_ids": [
"string"
],
"integration_id": "string",
"integration_vendor": "APPFOLIO"
}
]
}